.col.b-input.b-input-simple
  .row.align-items-center.no-gutters(@focusin='setHasFocus(true)' @focusout='setHasFocus(false)')
    InputError(:showErrors='inEdit' :errors='errors' :warnings='warnings')
    .input-group.col-12
      select.flex-grow-1.form-control.form-control-sm(v-if="inEdit" ref='input' v-model="editValue")
        slot(name='options')
          option(v-for="option in options" :value="option.value") {{ option.text }}
      input.text-right.text-sm-center(v-else ref='input' readonly='1' v-model="valueText")
      BaseAnimationBlock(v-if='!noEditIcon' anim='width')
        .input-group-append(key='0' v-if='inEdit'
                            @mousedown.prevent='' @click="emitEditRequest(false)")
          label.input-group-text.b-clickable #[i.fa.fa-edit.px-1.ml-1]
        .input-group-append(key='1' v-else-if='showEditIcon'
                            @mousedown.prevent='' @click="emitEditRequest(true)")
          label.input-group-text.b-clickable #[i.fa.fa-edit.px-1.ml-1.text-primary]
  .d-none(ref='optList')
    slot(name='options')
